RRfromCR<-function(CR,taxon=NA,carb=FALSE,path=tk_choose.files(caption = "Select the models file")){
	if(require(tcltk)) {library(tcltk)} else {install.packages("tcltk");library(tcltk)}
	models<-readRDS(path)
	if(carb==TRUE) {
		if (is.na(taxon)) {
			warning("No taxon name has been provided, the general model is used", call. = FALSE)
			taxon<-"unknown"
		}
		if (!any(taxon!=names(models$carb))&taxon!="unknown") {
			warning(paste("The taxon",taxon,"is not part of the database, the results is based on the general model. Check the writing of the taxon name."), call. = FALSE)
		}
		modeltouse<-models$carb[[which(names(models$carb)==taxon)]]
	}
	if(carb==FALSE) {
		if (is.na(taxon)) {
			warning("No taxon name has been provided, the general model is used", call. = FALSE)
			taxon<-"unknown"
		}
		if (!any(taxon==names(models$noncarb))&taxon!="unknown") {
			warning(paste("The taxon",taxon,"is not part of the database, the results is based on the general model. Check the writing of the taxon name."), call. = FALSE)
		}
		modeltouse<-models$noncarb[[which(names(models$noncarb)==taxon)]]
	}

	w<-1/CR
	newCR <- data.frame(RCtrigo=CR)
	predictions<-data.frame(CR,predict(modeltouse$model,newdata=newCR ,weights= w , interval="prediction"))
	names(predictions)<-c("CR","RR fit","Pred Int 95% lwr","Pred Int 95% upr")
	# plots #
	interval<-modeltouse$pred
	plot(NA,xlab="CR",ylab="RR",xlim=c(0,max(interval[,1])),ylim=c( 0, max(interval[,3])))
	title(paste("Taxon =",taxon," - ","Carbonized =",carb,sep=" "))
	plot(modeltouse$model,add=TRUE,link=FALSE,lwd=2,col=1, lty=1)
	lines(modeltouse$model,col=1,pch=19,bottom=FALSE,lwd=2)
	points(modeltouse$model,col=1, link=FALSE)
	lines(modeltouse$pred$RCtrigo,modeltouse$pred$lwr,col=1, lty=2)
	lines(modeltouse$pred$RCtrigo,modeltouse$pred$upr,col=1, lty=2)
	segments(x0=CR,x1=CR,y0=0,y1=predictions[,2],col=2,lty=1)
	segments(x0=-1,x1=CR,y0=predictions[,2],y1=predictions[,2],col=2,lty=1)
	segments(x0=CR,x1=CR,y0=predictions[,2],y1=predictions[,4],col=2,lty=3)
	segments(x0=-1,x1=CR,y0=predictions[,4],y1=predictions[,4],col=2,lty=3)
	segments(x0=-1,x1=CR,y0=predictions[,3],y1=predictions[,3],col=2,lty=3)
	return(predictions)
}